package com.unis.base.server.service;

import java.util.List;

import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.TyTfzyxxHisVO;
import com.unis.base.common.vo.TyTfzyxxVO;

/**
 * @author huangxing
 * @version 1.0
 * @Title: TyCrkxxService
 * @ProjectName TyCrkxxService
 * @date 2019/7/22 17:47
 */
public interface TyTfzyxxService {

	/**
	 * 获取信息列表
	 * @param dKdxxsjyVO
	 * @return
	 */
	List<TyTfzyxxVO> getTyTfzyxxList(TyTfzyxxVO tyTfzyxxVO);
	
	/**
	 * 分页展示
	 * @param TyTfzyxxVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	PageInfo<TyTfzyxxVO> getTyTfzyxxPage(TyTfzyxxVO tyTfzyxxVO, Integer pageNum, Integer pageSize);

	/**
	 * 新增信息
	 * @param TyTfzyxxVO
	 * @return
	 */
	int insert(TyTfzyxxVO tyTfzyxxVO);
	
	/**
	 * 更新信息
	 * @param TyTfzyxxVO
	 * @return
	 */
	int update(TyTfzyxxVO tyTfzyxxVO);

	/**
	 * 删除信息
	 * @author huangxing
	 * @param TyTfzyxxVO
	 * @return
	 */
	int delete(String tfzyid);

	/**
	 * 根据编号获取信息
	 * @param ajbh
	 * @return 廒间信息
	 */
	TyTfzyxxVO getTfzyxxByTfzyxxid(String tfzyid);

	/**
	 * 通风作业信息-更改备案状态
	 * @param tyTfzyxxHisVO
	 * @return
	 */
	Integer ventilationOperationStatus(TyTfzyxxHisVO tyTfzyxxHisVO);

}
